#! /bin/sh

cd image

# Top level targets.
echo 'image.ps: ../place.sh ring1.ps'
echo '	cat ring[1234].ps > $@'
# Bounding box is at bottom now.  Next two won't change it.
echo '	tail -1 $@ > bounding-box'
echo '	cat bounding-box >> $@ && rm bounding-box'

# Finished rings are precious! 
echo .SECONDARY: ring1.ps 

echo RING1_DEPS:=`find $RING1 -name '*.c.*' | sed 's/\.c.*/-all.ps/' | sort | uniq`
echo

# First ring starts at inner radius.
echo 'ring1.ps: $(RING1_DEPS)'
echo "	@echo Making Ring 1"
echo "	@../draw_arrangement $FILE_SCRUNCH 0 360 $INNER_RADIUS \$(RING1_DEPS) > \$@"
echo "	@echo Done Ring 1"

# How to extract radii
echo "%.radius: %.ps"
echo '	echo scale=2\; `tail -1 $< | sed "s/^.* //"` + '$RING_SPACING' | bc > $@'
echo

# Now rule to make the graphs of a function.
echo %.ps::%
echo '	@../analyze_function $< | ../data2ps `echo $< | sed '\''s/^.*\.\([^.]*\)\.\+.*$$/\1/'\''` > $@'
echo

# Rule to make all from constituent parts.
echo %-all.ps:
echo "	@echo Rendering \$*.c"
echo "	@../conglomerate_functions.sh $FUNCTION_SCRUNCH \$^ > \$@"
echo

# Now all the rules to make each function.
for d in `find . -type d`; do
    for f in `cd $d; ls *+ 2>/dev/null | sed 's/\.c\..*+$//' | uniq`; do
	echo $d/$f-all.ps: `cd $d; ls $f.c.*+ | sed -e 's/$/.ps/' -e "s?^?$d/?"`
    done
done
